package com.ims.eval.controller;

import com.ims.eval.entity.dto.result.R;
import com.ims.eval.schedule.ScoreCalculationSchedule;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author ：xugp
 * @date ：Created in 2023/3/15 9:46
 * @description：计算控制器
 * @modified By：
 * @version: $
 */

@RestController
@RequestMapping("//calculator")
public class CalculatorController {

	@Autowired
	private ScoreCalculationSchedule scoreCalculationSchedule;

	@GetMapping("/cron")
	public R test(@RequestParam("id") String id){
		boolean b = scoreCalculationSchedule.doTask(id);
		if (b){
			return R.ok().data(b);
		}else {
			return R.error().data("计算失败！");
		}
	}
}
