package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ims.eval.entity.EvaluateReport;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.Indicator;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-25
 */
public interface EvaluateReportMapper extends BaseMapper<EvaluateReport> {

	IPage<EvaluateReport>  selectListPage(Page page, @Param("id") String id,
		 @Param("evaluateReportName")String evaluateReportName,
		 @Param("binSection")String binSection,
		 @Param("organizationEvaluationId") String organizationEvaluationId,
		 @Param("organizationType")String organizationType,
		 @Param("checkCycle")String checkCycle,
		 @Param("year")String year,
		 @Param("month")String month);

}
