package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 部门目标责任表
 * </p>
 *
 * @author wang
 * @since 2023-02-27
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DeptResponsibility extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

	/**
	 * 业务编码
	 */
	private String responsibilityCode;

    /**
     * 部门ID
     */
    private String organizationId;

	/**
	 * 部门name
	 */
	private String organizationName;


	/**
	 * 考评类别(单位、部门)
	 */
	private String organizationType;


    /**
     * 周期单位
     */
    private String cycleUnit;

    /**
     * 周期
     */
    private String checkCycle;

	/**
	 * 年
	 */
	private String year;
	/**
	 * 月
	 */
	private String month;

	/**
	 * 考评单位配置id
	 */
	private  String organizationEvaluationRuleId;

    /**
     * 考核开始时间
     */
    private Date beginDate;

    /**
     * 考核截止时间
     */
    private Date endDate;

    /**
     * 审批状态
     */
    private String stage;

    /**
     * 描述
     */
    private String des;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 复审人
     */
    private String reviewPeople;

    /**
     * 复审时间
     */
    private Date reviewPeopleTime;

    /**
     * 复审意见
     */
    private String reviewOpinion;

    /**
     * 终审人
     */
    private String finalReviewPeople;

    /**
     * 终审时间
     */
    private Date finalReviewPeopleTime;

    /**
     * 终审意见
     */
    private String finalReviewOpinion;

    /**
     * 备注
     */
    private String remark;


	/**
	 * 实例id
	 */
	private String instId;




}
