package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 党建乘数配置
 * </p>
 *
 * @author xugp
 * @since 2023-03-29
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class PartyBuildingMultiplier extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 单位id
     */
    private String departId;


	/**
	 * 单位名称
	 */
    private String organizationName;


    /**
     * 板块id
     */
    private String sectionId;

	/**
	 * 板块名称
	 */
	@TableField(exist = false)
	private String sectionName;

    /**
     * 党建乘数
     */
    private String multiplier;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 年度
     */
    private String year;


}
