package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 年度经营业绩系数
 * </p>
 *
 * @author wang
 * @since 2023-03-19
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class YearGroupCoefficient extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 业务编码
     */
    private String coefficientCode;

    /**
     * 创建者组织名称
     */
    private String createOrgName;

    /**
     * 创建者组织ID
     */
    private String createOrgId;

    /**
     * 年
     */
    private String year;

    /**
     * 月
     */
    private String month;

    /**
     * 单据状态
     */
    private String state;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private String des;

    /**
     * 排序
     */
    private Integer orderNum;


}
