package com.ims.eval.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.YearOperatingCoefficient;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 年度经营业绩系数 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-17
 */
public interface IYearOperatingCoefficientService extends IService<YearOperatingCoefficient> {

	IPage<YearOperatingCoefficient> list(Integer pageNum, Integer pageSize, String id, String organizationName,String organizationId,String yearGroupCoefficientId,String binSection,String year);

	List<YearOperatingCoefficient> listAll(String id, String organizationName, String organizationId, String yearGroupCoefficientId, String binSection, String year);

}
