package com.ims.eval.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ims.eval.config.CustomException;
import com.ims.eval.dao.BinSectionMapper;
import com.ims.eval.dao.EvaluationScoreCountMapper;
import com.ims.eval.entity.BinSection;
import com.ims.eval.entity.EvaluationScoreCount;
import com.ims.eval.service.IBinSectionService;
import com.ims.eval.service.IEvaluationScoreCountService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 考评得分统计 服务实现类
 * </p>
 *
 * @author xugp
 * @since 2023-03-20
 */
@Service
public class EvaluatioinScoreCountServiceImpl extends ServiceImpl<EvaluationScoreCountMapper, EvaluationScoreCount> implements IEvaluationScoreCountService {



	@Override
	public List<EvaluationScoreCount> getListByEvaluationRuleId(String organizationEvaluationId, String organizationEvaluationRuleId, String binStage) {
		List<EvaluationScoreCount> list = baseMapper.selelctListByEvaluationRuleId(organizationEvaluationId, organizationEvaluationRuleId, binStage);
		return list;
	}
}
