package com.ims.eval.controller;


import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluateReportInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 考评报告明细

 前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-03-25
 */
@RestController
@RequestMapping("//evaluate-report-info")
public class EvaluateReportInfoController {


	@Autowired
	private IEvaluateReportInfoService evaluateReportInfoService;

	/**
	 * 根据汇总id 获取数据
	 * @param evaluateReportId                       考评报告id
	 * @return
	 */
	//@ImsPreAuth("eval:dataDictionary:view")
	@GetMapping(value = "list")
	public R list(@RequestParam(value = "evaluateReportId", required = true) String evaluateReportId) {
		Map<String,List<Map>> list = evaluateReportInfoService.mapByReportId(evaluateReportId);
		return R.ok().data(list);
	}


}
