package com.ims.eval.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.BinSection;
import com.ims.eval.entity.EvaluationScoreCount;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考评得分统计 Mapper 接口
 * </p>
 *
 * @author xugp
 * @since 2023-03-20
 */
public interface EvaluationScoreCountMapper extends BaseMapper<EvaluationScoreCount> {


	List<EvaluationScoreCount> selelctListByEvaluationRuleId(@Param("organizationEvaluationId") String organizationEvaluationId,
															 @Param("organizationEvaluationRuleId") String organizationEvaluationRuleId,
															 @Param("binStage") String binStage);

}
