package com.ims.eval.dao;

import com.ims.eval.entity.OrganizationEvaluationInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ims.eval.entity.dto.response.OrganizationEvaluationInfoResDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考评指标明细

 Mapper 接口
 * </p>
 *
 * @author wang
 * @since 2023-03-16
 */
public interface OrganizationEvaluationInfoMapper extends BaseMapper<OrganizationEvaluationInfo> {




	List<OrganizationEvaluationInfoResDTO> selectListEvaluationInfoId(@Param("organizationEvaluationId") String organizationEvaluationId,
																	  @Param("dept") String dept,
																	  @Param("optionCode") String optionCode);

	List<OrganizationEvaluationInfo> selectByEvaluationInfoId(@Param("organizationEvaluationId") String organizationEvaluationId);
}
