package com.ims.eval.entity;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 生产经营业务分类
 * </p>
 *
 * @author wang
 * @since 2023-03-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class BinSection extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 业务名称
     */
    private String sectionName;

    /**
     * 业务编码
     */
    private String sectionCode;

    /**
     * 删除标记(false 为未删除，true 为已删除)

     */
    private Boolean delFlag;

    /**
     * 排序
     */
    private Integer orderNum;


}
