package com.ims.eval.entity;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
 * <p>
 * 数据字典表
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class DataDictionary extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;


	/**
	 * 数据key
	 */
	private String dataKey;

    /**
     * 名称
     */
    private String keyName;

    /**
     * 对应值
     */
    private String keyValue;

    /**
     * 描述
     */
    private String des;

    /**
     * 父类key
     */
    private String superKey;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

	/**
	 * 排序字段
	 */
	private Integer orderNum;


}
