package com.ims.eval.entity;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 考评报告明细


 * </p>
 *
 * @author wang
 * @since 2023-03-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class EvaluateReportInfo extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private String id;

    /**
     * 考评报告id
     */
    private String evaluateReportId;

    /**
     * 考评组织ID
     */
    private String organizationId;

    /**
     * 考评组织名称
     */
    private String organizationName;

    /**
     * 业务阶段
     */
    private String binStage;

	/**
	 * 业务阶段
	 */
	@TableField(exist = false)
	private String binStageName;

    /**
     * 分数
     */
    private double score;

    /**
     * 折算分数
     */
    private double discountScore;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;


}
