package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author wang
 * @since 2023-02-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class Indicator extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 指标名称
     */
    private String indicatorName;

    /**
     * 指标编码
     */
    private String indicatorCode;

    /**
     * 指标单位
     */
    private String unit;

	/**
	 * 指标系数
	 */
	private double coefficient;

    /**
     * 能否量化
     */
    private String isQuantified;

    /**
     * 是否专项
     */
    private String isAdditional;

	/**
	 * 是否主子指标
	 */
	private Boolean isChild;



    /**
     * 描述
     */
    private String des;

    /**
     * 业务版块
     */
    private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;

    /**
     * 业务阶段
     */
    private String binStage;


	/**
	 * 业务阶段name
	 */
	@TableField(exist = false)
	private String binStageName;

    /**
     * 部门
     */
    private String dept;

	/**
	 * 部门name
	 */
	@TableField(exist = false)
	private String deptName;


    /**
     * 公司
     */
    private String company;

    /**
     * 是否启用
     */
    private Boolean enable;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 备注
     */
    private String remark;

    /**
     * 排序
     */
    private Integer orderNum;

	/**
	 * 备注
	 */
	private String indicatorTypeId;

	/**
	 * 备注
	 */
	@TableField(exist = false)
	private String indicatorTypeName;


}
