package com.ims.eval.entity.dto.response;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
public class EvaluationScoreCountDTO {

	private static final long serialVersionUID = 1L;

	/**
	 * 主键
	 */
	private String id;


	/**
	 * 考评记录id
	 */
	private String organizationEvaluationId;

	/**
	 * 考评规则id
	 */
	private String organizationEvaluationRuleId;

	/**
	 * 指标id
	 */
	private String indicatorId;

	/**
	 * 单位名称
	 */
	private String organizationName;


	/**
	 * 经营阶段分类
	 */
	private String sectionName;

	/**
	 * 生产经营业务分类
	 */
	private String stageName;


	/**
	 * 指标名称
	 */
	private String indicatorName;

	/**
	 * 部门名称
	 */
	private String keyName;


	/**
	 * 得分
	 */
	private double score;



	/**
	 * 折算得分
	 */
	private double obversionScore;

	/**
	 * 能否量化  1 代表能  0代表否
	 */
	private String isQuantified;




}
