package com.ims.eval.entity.dto.response;

import io.swagger.annotations.ApiModel;
import lombok.Data;

@Data
@ApiModel(value = "考评明细响应类", description = "考评明细响应类")
public class OrganizationEvaluationInfoResDTO {


	private static final long serialVersionUID = 1L;

	/**
	 * 主键id
	 */
	private String id;

	/**
	 * 考评记录id
	 */
	private String organizationEvaluationId;


	/**
	 * 指标ID
	 */
	private String indicatorId;

	/**
	 * 能否量化
	 */
	private String isQuantified;
	/**
	 * 业务阶段
	 */
	private String binStage;

	/**
	 * 业务阶段
	 */
	private String stageName;


	/**
	 * 业务版块
	 */
	private String binSection;

	/**
	 * 业务板块
	 */
	private String sectionName;


	/**
	 * 考评规则id
	 */
	private String organizationEvaluationRuleId;

	/**
	 * 组织名
	 */
	private String organizationName;

	/**
	 * 责任部门
	 */
	private String deptName;


	/**
	 * 指标类别
	 */
	private String typeName;

	/**
	 * 指标名
	 */
	private String indicatorName;

	/**
	 * 指标子名
	 */
	private String childName;

	/**
	 * 指标项
	 */
	private String optionName;

	/**
	 * 指标项Code
	 */
	private String optionCode;

	/**
	 * 量化值
	 */
	private double quantifiedValue;

	/**
	 * 非量化值
	 */
	private String nonQuantifiedValue;

	/**
	 * 指标单位
	 */
	private String unit;

	/**
	 * 状态
	 */
	private String state;

	/**
	 * 修改标记
	 */
	private Boolean updateMark;
}
