package com.ims.eval.service;

import com.ims.eval.entity.ResponsibilityIndicatorInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ims.eval.entity.dto.request.ResponsibilityIndicatorInfoUpdateDTO;
import com.ims.eval.entity.dto.response.ResponsibilityIndicatorInfoResDTO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 责任书指标明细

 服务类
 * </p>
 *
 * @author wang
 * @since 2023-03-08
 */
public interface IResponsibilityIndicatorInfoService extends IService<ResponsibilityIndicatorInfo> {


	Map<String  ,List<ResponsibilityIndicatorInfoResDTO>> planValueList(List<String> deptResponsibilityIds, String dept, HttpServletRequest request);

	Map<String  ,List<ResponsibilityIndicatorInfoResDTO>> finishValueList(List<String> deptResponsibilityIds, String dept);


	boolean saveOrUpdateDto(ResponsibilityIndicatorInfoUpdateDTO infoUpdateDTO);

	boolean saveBatchDto(List<ResponsibilityIndicatorInfoUpdateDTO> infoUpdateDTOs);

	Map<String ,Object> getResponsibilityIdMap(String deptResponsibilityId);







}
